gi-xlib-2.0.14: xlib bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Xlib.Structs.XVisualInfo

Contents

- Exported types
- Methods

Description

No description available in the introspection data.

Synopsis

- newtype XVisualInfo = XVisualInfo (ManagedPtr XVisualInfo)

# Exported types

newtype XVisualInfo Source #

Memory-managed wrapper type.

Constructors

XVisualInfo (ManagedPtr XVisualInfo) |

#### Instances

Instances details

Eq XVisualInfo Source # |
Instance details Defined in GI.Xlib.Structs.XVisualInfo Methods (==) :: XVisualInfo -> XVisualInfo -> Bool Source # (/=) :: XVisualInfo -> XVisualInfo -> Bool Source #
BoxedPtr XVisualInfo Source # |
Instance details Defined in GI.Xlib.Structs.XVisualInfo Methods boxedPtrCopy :: XVisualInfo -> IO XVisualInfo Source # boxedPtrFree :: XVisualInfo -> IO () Source #
ManagedPtrNewtype XVisualInfo Source # |
Instance details Defined in GI.Xlib.Structs.XVisualInfo Methods toManagedPtr :: XVisualInfo -> ManagedPtr XVisualInfo Source #

# Methods